HIGHT::Base Class Reference

HIGHT block cipher transformation functions. More...

`#include <hight.h>`

Inheritance diagram for HIGHT::Base:

## Additional Inherited Members

Public Member Functions inherited from BlockCipherImpl< HIGHT_Info >
unsigned int | BlockSize () const
| Provides the block size of the algorithm.
Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, HIGHT_Info > > >
std::string | AlgorithmName () const
| The algorithm name.
Public Member Functions inherited from SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, HIGHT_Info > >
size_t | MinKeyLength () const
| The minimum key length used by the algorithm.
size_t | MaxKeyLength () const
| The maximum key length used by the algorithm.
size_t | DefaultKeyLength () const
| The default key length used by the algorithm.
size_t | GetValidKeyLength (size_t keylength) const
| Provides a valid key length for the algorithm.
SimpleKeyingInterface::IV_Requirement | IVRequirement () const
| The default IV requirements for the algorithm.
unsigned int | IVSize () const
| The initialization vector length for the algorithm.
Static Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, HIGHT_Info > > >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

HIGHT block cipher transformation functions.

Provides implementation common to encryption and decryption

Since
  Crypto++ 8.0

Definition at line 45 of file hight.h.

The documentation for this class was generated from the following files:

- hight.h
- hight.cpp